package game.Player;

import game.Weapons.Weapon_info;

public interface Damageable {

    /**
     *
     * @param damage The damage value to give to an entity
     * @return The actual damage given to the entity (health might be lower than damage -> If returned value is lower than
     *          damage the entity health is now 0).
     */
    public abstract int doDamage(Player inflictor, Weapon_info wpn, int damage);

    /**
     *
     * @return The actual health value of the entity
     */
    public abstract int getHealth();

    public abstract Team getTeam();

}
